import { useEffect } from "react";

const useUmamiScript = (src, websiteId) => {
  useEffect(() => {
    const script = document.createElement("script");
    script.async = true;
    script.defer = true;
    script.src = src;
    script.setAttribute("data-website-id", websiteId);

    document.head.appendChild(script);

    return () => {
      document.head.removeChild(script);
    };
  }, [src, websiteId]);
};

export default useUmamiScript;
